# MoveHeaderPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MoveHeaderPhase

#### Hierarchy (View Summary)

- BattlePhase
  - MoveHeaderPhase

- Defined in src/phases/move-header-phase.ts:6

##### Index

### Constructors

constructor

### Properties

move
pokemon

### Methods

canMove
end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new MoveHeaderPhase(pokemon: default , move: PokemonMove ): MoveHeaderPhase

  #### Parameters

  - pokemon: default
  - move: PokemonMove

  #### Returns MoveHeaderPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases/move-header-phase.ts:10

## Properties

### move

move: PokemonMove

- Defined in src/phases/move-header-phase.ts:8

### pokemon

pokemon: default

- Defined in src/phases/move-header-phase.ts:7

## Methods

### canMove

- canMove(): boolean

  #### Returns boolean

  - Defined in src/phases/move-header-phase.ts:17

### end

- end(): void

  #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:6

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases/move-header-phase.ts:21